Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.developmentontheedge.application
Class Application

public class Application

todo Replace LOG4J to JDK1.4 logging.

Method Summary
`static ActionManager` | `getActionManager()`
`static ApplicationFrame` | `getApplicationFrame()`
`static ApplicationRegistry` | `getRegistry()`
`static Object` | `getResource(String key)` Get an object from a ResourceBundle.
`static String` | `getString(String key)` Get an String from a registered ResourceBundle.
`static void` | `registerActionManager(ActionManager actionManager)`
`static void` | `registerApplicationFrame(ApplicationFrame frame)`
`static void` | `registerCategory(Category c)`
`static ListResourceBundle` | `registerMessageBundle(String name)`
`static void` | `setRegistry(ApplicationRegistry newRegistry)`

Method Detail

### getActionManager

    public static ActionManager getActionManager()

  Returns: instance of `ActionManager`.

### getApplicationFrame

    public static ApplicationFrame getApplicationFrame()

  Returns: instance of application frame.

### getRegistry

    public static ApplicationRegistry getRegistry()

### getResource

    public static Object getResource(String key)

  Get an object from a ResourceBundle.
  Parameters:
    key - an String key
  Returns: Requested object or key if not found

### getString

    public static String getString(String key)

  Get an String from a registered ResourceBundle.
  Parameters:
    key - an key
  Returns: Requested object or key if not found

### registerActionManager

    public static void registerActionManager(ActionManager actionManager)

### registerApplicationFrame

    public static void registerApplicationFrame(ApplicationFrame frame)

### registerCategory

    public static void registerCategory(Category c)

### registerMessageBundle

    public static ListResourceBundle registerMessageBundle(String name)

  Parameters:
    name
  Returns: ResourceBundle

### setRegistry

    public static void setRegistry(ApplicationRegistry newRegistry)

Association Links

to Class com.developmentontheedge.application.ApplicationRegistry

to Class com.developmentontheedge.application.ApplicationFrame

to Class com.developmentontheedge.application.action.ActionManager

to Class org.apache.log4j.Category

to Class java.util.ListResourceBundle

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM